| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
ToolHandleInfo Class Reference

General info and helper functions for toolhandles and arrays. More...

`#include <GaudiKernel/ToolHandle.h>`

Inheritance diagram for ToolHandleInfo:
[legend]
Collaboration diagram for ToolHandleInfo:
[legend]

## Public Member Functions
virtual | ~ToolHandleInfo ()=default
bool | isPublic () const noexcept
bool | createIf () const noexcept
const IInterface * | parent () const noexcept

## Static Public Member Functions
static std::string | toolComponentType (const IInterface *parent)
static std::string | toolParentName (const IInterface *parent)

## Protected Member Functions
| ToolHandleInfo (const IInterface *parent=nullptr, bool createIf=true)

## Protected Attributes
const IInterface * | m_parent = nullptr
bool | m_createIf {true}

## Detailed Description

General info and helper functions for toolhandles and arrays.

Definition at line 31 of file ToolHandle.h.

## Constructor & Destructor Documentation

## ◆ ToolHandleInfo()

ToolHandleInfo::ToolHandleInfo | ( | const IInterface * | parent = `nullptr`,
|  | bool | createIf = `true`
| ) |  |
| inline protected

Definition at line 34 of file ToolHandle.h.

35 : m_parent( parent ), m_createIf( createIf ) {}
ToolHandleInfo::createIf
bool createIf() const noexcept
Definition: ToolHandle.h:42
ToolHandleInfo::m_parent
const IInterface * m_parent
Definition: ToolHandle.h:58
ToolHandleInfo::m_createIf
bool m_createIf
Definition: ToolHandle.h:59
ToolHandleInfo::parent
const IInterface * parent() const noexcept
Definition: ToolHandle.h:44

## ◆ ~ToolHandleInfo()

virtual ToolHandleInfo::~ToolHandleInfo | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ createIf()

bool ToolHandleInfo::createIf | ( |  | ) | const
| inline noexcept

Definition at line 42 of file ToolHandle.h.

42 { return m_createIf; }
ToolHandleInfo::m_createIf
bool m_createIf
Definition: ToolHandle.h:59

## ◆ isPublic()

bool ToolHandleInfo::isPublic | ( |  | ) | const
| inline noexcept

Definition at line 40 of file ToolHandle.h.

40 { return !m_parent; }
ToolHandleInfo::m_parent
const IInterface * m_parent
Definition: ToolHandle.h:58

## ◆ parent()

const IInterface* ToolHandleInfo::parent | ( |  | ) | const
| inline noexcept

Definition at line 44 of file ToolHandle.h.

44 { return m_parent; }
ToolHandleInfo::m_parent
const IInterface * m_parent
Definition: ToolHandle.h:58

## ◆ toolComponentType()

static std::string ToolHandleInfo::toolComponentType | ( | const IInterface * | parent | ) |
| inline static

Definition at line 50 of file ToolHandle.h.

50 { return parent ? "PrivateTool" : "PublicTool"; }
ToolHandleInfo::parent
const IInterface * parent() const noexcept
Definition: ToolHandle.h:44

## ◆ toolParentName()

static std::string ToolHandleInfo::toolParentName | ( | const IInterface * | parent | ) |
| inline static

Definition at line 52 of file ToolHandle.h.

52 {
53 auto* pNamed = ( parent ? dynamic_cast<const INamedInterface*>( parent ) : nullptr );
54 return ( !parent ? "ToolSvc" : ( pNamed ? pNamed->name() : "" ) );
55 }
ToolHandleInfo::parent
const IInterface * parent() const noexcept
Definition: ToolHandle.h:44

## Member Data Documentation

## ◆ m_createIf

bool ToolHandleInfo::m_createIf {true}
| protected

Definition at line 59 of file ToolHandle.h.

## ◆ m_parent

const IInterface* ToolHandleInfo::m_parent = nullptr
| protected

Definition at line 58 of file ToolHandle.h.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/ToolHandle.h